Subject: Re: bug#15876: 24.3.50; Highly degraded performance between rev 114715 and 115006

From: "Sebastien Vauban" <[email-masked]>
Date: Fri, 29 Nov 2013 22:01:10 +0100

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <[email-masked]>
>> Cc: [email-masked]
>> Date: Tue, 26 Nov 2013 21:52:05 +0100
>> 
>> > So what is the minimum .emacs that will cause the problem?
>> 
>> That does it:
>> 
>> --8<---------------cut here---------------start------------->8---
>> ;; highlight trailing whitespaces in all modes
>> (setq-default show-trailing-whitespace t)
>> 
>> (setq org-ellipsis " \u25B7")           ; string
>> --8<---------------cut here---------------end--------------->8---
>
> And this makes Emacs slow in scrolling for any file you visit?  Or
> just in Org buffers?

No problem, with the same files, if I put them in `text-mode'. So, it becomes
apparent with Org.

Remember I told there were similar speed problems with some Gnus buffer, but I
haven't tested them again.

> If the latter, perhaps your Org files are special in some way, because
> the ones I tried don't show any slowdown I could sense.

They aren't special, for two reasons:

- They're not mine; they're public Org files taken from the Worg project ("Wiki
  Org").

- They work perfectly in Emacs rev 114715: no performance degradation
  whatsoever.

For the sake of clarity, I've redone a comparison of the two different Emacs
(r114715 and the recent r115235) on the same two Org files:

- ChangeLog.org (1,156 bytes)
  http://code.ohloh.net/file?fid=s6NzuuiKK0Nlga9EF-Vh8KzVXiw&cid=SNfK_pTfQmo&s=&fp=19410&mp=&projSelected=true#L0

- org-faq.org (164,174 bytes)
  http://code.ohloh.net/file?fid=Jk4U4mwQtJT_5LfYpl3sBLhj42s&cid=SNfK_pTfQmo&s=&fp=19410&mp=&projSelected=true#L0

Just look at the CPU usage, and see how the cursor moves slowly -- while I
press on the arrows at the same speed in both configs.

See http://screencast.com/t/oHIPTP0eAW.

For the records, my .emacs is really tiny, as you can see:

--8<---------------cut here---------------start------------->8---
;; highlight trailing whitespaces in all modes
(setq-default show-trailing-whitespace t)

(setq org-ellipsis " \u25B7")           ; string

;; title bar display of visible frames
(setq frame-title-format
      (format "Emacs %s rev:%s of %s    PID:%d"
              ;; (capitalize (symbol-name system-type))
              emacs-version
              (ignore-errors
                (replace-regexp-in-string " .*" "" emacs-bzr-version))
              (format-time-string "%Y-%m-%d" emacs-build-time)
              (emacs-pid)))
--8<---------------cut here---------------end--------------->8---

Please don't tell me nobody can reproduce this problem!?

Best regards,
  Seb

-- 
Sebastien Vauban